## EXPORT_SPEC int ixmlDocument_createCDATASectionEx

## (IXML_Document* doc,
DOMString data,
IXML_CDATASection** cdNode )

> Creates a new CDATASection node with given data.

## Documentation

> Creates a new CDATASection node with given data.

> The ixmlDocument_createCDATASectionEx API differs from the ixmlDocument_createCDATASection API in that it returns an error code describing the reason for failure rather than just `NULL`.

Parameters:
  doc - The owner Document of the new node.
  data - The data to associate with the new CDATASection node.
  cdNode - A pointer to a Node where the new object will be stored.
Returns:
  [int] An integer representing one of the following:
  - `IXML_SUCCESS`: The operation completed successfully.
  - `IXML_INVALID_PARAMETER`: Either doc or {\bd data} is `NULL`.
  - `IXML_INSUFFICIENT_MEMORY`: Not enough free memory exists to complete this operation.

Alphabetic index

This page was generated with the help of DOC++.